Bug 815566 - Review Request: mybatis - SQL Mapping Framework for Java
Review Request: mybatis - SQL Mapping Framework for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On: 954134
Blocks: 848096
  Show dependency treegraph
 
Reported: 2012-04-23 17:19 EDT by gil cattaneo
Modified: 2013-05-01 17:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-27 23:47:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
orion: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-04-23 17:19:13 EDT
Spec URL: http://gil.fedorapeople.org/mybatis.spec
SRPM URL: http://gil.fedorapeople.org/mybatis-3.1.1-1.fc16.src.rpm
Description: The MyBatis data mapper framework makes it easier to use a relational database
with object-oriented applications. MyBatis couples objects with stored procedures
or SQL statements using a XML descriptor or annotations. Simplicity is the
biggest advantage of the MyBatis data mapper over object relational mapping tools.
Comment 2 Orion Poplawski 2013-04-19 11:47:42 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Couple issues:

- Can we update to 3.2.2?
- The description is wrapped at 51 characters, this seems much too small.  I would suggest 72-78.
- hsqldb appears to be in Fedora
- I'm trying to figure out where javax.transaction comes from as well.  Do you know?
 
===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in mybatis-
     javadoc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in
     /export/home/orion/redhat/mybatis-3.1.1/review-mybatis/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
     Latest is 3.2.2
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mybatis-javadoc-3.1.1-1.fc18.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Requires
--------
mybatis-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
mybatis-javadoc:
    mybatis-javadoc



MD5-sum check
-------------
Using local file /export/home/orion/redhat/mybatis-3.1.1/mybatis-3.1.1-src-svn.tar.gz as upstream
file:///export/home/orion/redhat/mybatis-3.1.1/mybatis-3.1.1-src-svn.tar.gz :
  CHECKSUM(SHA256) this package     : 46ba022bfc38989741efae6d94d31bdb4e1c26dd22cb3523e0c8daa06fa9c7aa
  CHECKSUM(SHA256) upstream package : 46ba022bfc38989741efae6d94d31bdb4e1c26dd22cb3523e0c8daa06fa9c7aa


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review --no-build -p -n mybatis
Comment 3 Orion Poplawski 2013-04-19 11:56:42 EDT
Looks like geronimo-jta provides javax.transaction.
Comment 5 gil cattaneo 2013-04-20 03:11:10 EDT
- The description is wrapped at 51 characters, this seems much too small.  I would suggest 72-78.
sorry really ...?

- hsqldb appears to be in Fedora
yes but not series 2.x
regards
Comment 6 gil cattaneo 2013-04-20 04:52:50 EDT
(In reply to comment #5)
> - hsqldb appears to be in Fedora
> yes but not series 2.x
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.5.1:testCompile (default-testCompile) on project mybatis: Compilation failure: Compilation failure:
[ERROR] /home/gil/rpmbuild/BUILD/mybatis-3.2.2/src/test/java/org/apache/ibatis/jdbc/PooledDataSourceTest.java:[23,22] error: cannot find symbol
[ERROR] symbol:   class JDBCConnection
[ERROR] location: package org.hsqldb.jdbc
[ERROR] /home/gil/rpmbuild/BUILD/mybatis-3.2.2/src/test/java/org/apache/ibatis/jdbc/PooledDataSourceTest.java:[23,22] error: cannot find symbol
[ERROR] symbol:   class JDBCConnection
[ERROR] location: package org.hsqldb.jdbc
[ERROR] /home/gil/rpmbuild/BUILD/mybatis-3.2.2/src/test/java/org/apache/ibatis/jdbc/PooledDataSourceTest.java:[86,4] error: cannot find symbol
[ERROR] symbol:   class JDBCConnection
[ERROR] location: class PooledDataSourceTest
[ERROR] /home/gil/rpmbuild/BUILD/mybatis-3.2.2/src/test/java/org/apache/ibatis/jdbc/PooledDataSourceTest.java:[86,37] error: cannot find symbol
[ERROR] -> [Help 1]
Comment 7 gil cattaneo 2013-04-21 01:58:26 EDT
Spec URL: http://gil.fedorapeople.org/mybatis/3.2.2/1/mybatis.spec
SRPM URL: http://gil.fedorapeople.org/mybatis/3.2.2/1/mybatis-3.2.2-2.fc18.src.rpm

- rebuilt with mybatis-parent support
- run test suite with hsqldb 1.x
Comment 8 Orion Poplawski 2013-04-22 12:53:49 EDT
(In reply to comment #5)
> - The description is wrapped at 51 characters, this seems much too small.  I
> would suggest 72-78.
> sorry really ...?

really.  It's a suggestion, but I've never seen a description wrapped so small.


I'm not sure that the requires are correct.  You might want to use %mvn_rpmbuild in F19+ to ensure that.  I'm willing to see that fixed later as well.

APPROVED.
Comment 9 gil cattaneo 2013-04-22 15:54:15 EDT
New Package SCM Request
=======================
Package Name: mybatis
Short Description: SQL Mapping Framework for Java
Owners: gil
Branches: f18 f19 f20
InitialCC: java-sig
Comment 10 Jon Ciesla 2013-04-22 16:06:33 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-04-24 10:43:18 EDT
mybatis-3.2.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mybatis-3.2.2-2.fc19
Comment 12 Fedora Update System 2013-04-24 12:40:07 EDT
mybatis-3.2.2-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 13 Fedora Update System 2013-04-27 23:47:40 EDT
mybatis-3.2.2-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.